Subject: Re: [bug#40211] [PATCH 0/2] Enable udev support in SDL2 and bump version
From: Marius Bakke <[email-masked]>
To: Timotej Lazar <[email-masked]>, [email-masked]
Date: Thu, 02 Apr 2020 18:27:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Timotej,

Timotej Lazar <[email-masked]> writes:

> Hi,
>
> these patches update sdl2 to the latest release and enable udev support.
> Without udev I experienced freezes every few seconds in certain games
> (for instance hedgewars and supertux) as SDL searched through /dev/input
> for joysticks.
>
> Since libudev is dlopened, I add it to rpath in make-flags. During build
> this overrides LDFLAGS from the base package’s configure-flags, which
> add mesa to rpath. AFAICT this is OK as sdl2 already includes mesa by
> linking libgbm.
>
> (Perhaps we could move LDFLAGS to make-flags in the base package, and
> make the override explicit in the derived package? Or have sdl2 find and
> modify the LDFLAGS entry from the base configure-flags, but that seems
> more trouble than it’s worth.)
>
> I was able to rebuild all dependent packages with no (new) failures. I
> ran several games and everything appears OK, but I don’t have a joystick
> or gamepad to try.
>
> There have been some issues in the past with SDL not finding (correct)
> libraries¹, so it would be good to test this on a foreign Guix install.
> As for the version bump, the changelog² doesn’t mention any significant
> changes except for hidapi support, which is disabled by default.

Thank you for the excellent research, bugfix, and patches.

I have applied both and hope that it will fix a longstanding problem
with SuperTuxKart and multiple gamepads that I will try out hopefully
this weekend.